Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.portlet
Interface HandlerAdapter

All Known Implementing Classes:
  AnnotationMethodHandlerAdapter, SimpleControllerHandlerAdapter, SimplePortletHandlerAdapter

    public interface HandlerAdapter

Portlet MVC framework SPI interface, allowing parameterization of core MVC workflow.

Interface that must be implemented for each handler type to handle a request. This interface is used to allow the DispatcherPortlet to be indefinitely extensible. The DispatcherPortlet accesses all installed handlers through this interface, meaning that it does not contain code specific to any handler type.

Note that a handler can be of type Object. This is to enable handlers from other frameworks to be integrated with this framework without custom coding.

This interface is not intended for application developers. It is available to handlers who want to develop their own web workflow.

Note: Implementations can implement the Ordered interface to be able to specify a sorting order and thus a priority for getting applied by DispatcherPortlet. Non-Ordered instances get treated as lowest priority.

Since:
  2.0
Author:
  John A. Lewis
See Also:
  `SimpleControllerHandlerAdapter`

Method Summary
`void` | `handleAction(javax.portlet.ActionRequest request, javax.portlet.ActionResponse response, java.lang.Object handler)` Use the given handler to handle this action request.
`void` | `handleEvent(javax.portlet.EventRequest request, javax.portlet.EventResponse response, java.lang.Object handler)` Use the given handler to handle this event request.
`ModelAndView` | `handleRender(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response, java.lang.Object handler)` Use the given handler to handle this render request.
`ModelAndView` | `handleResource(javax.portlet.ResourceRequest request, javax.portlet.ResourceResponse response, java.lang.Object handler)` Use the given handler to handle this resource request.
`boolean` | `supports(java.lang.Object handler)` Given a handler instance, return whether or not this HandlerAdapter can support it.

Method Detail

### supports

    boolean supports(java.lang.Object handler)

  Given a handler instance, return whether or not this HandlerAdapter can support it. Typical HandlerAdapters will base the decision on the handler type. HandlerAdapters will usually only support one handler type each.

  A typical implementation:

  `return (handler instanceof MyHandler);`

  Parameters:
    `handler` - handler object to check
  Returns:
    whether or not this object can use the given handler

### handleAction

    void handleAction(javax.portlet.ActionRequest request,
                      javax.portlet.ActionResponse response,
                      java.lang.Object handler)
                      throws java.lang.Exception

  Use the given handler to handle this action request. The workflow that is required may vary widely.

  Parameters:
    `request` - current action request
    `response` - current action response
    `handler` - handler to use. This object must have previously been passed to the `supports` method of this interface, which must have returned true.
  Throws:
    `java.lang.Exception` - in case of errors
  See Also:
    `Portlet.processAction(javax.portlet.ActionRequest, javax.portlet.ActionResponse)`

### handleRender

    ModelAndView handleRender(javax.portlet.RenderRequest request,
                              javax.portlet.RenderResponse response,
                              java.lang.Object handler)
                              throws java.lang.Exception

  Use the given handler to handle this render request. The workflow that is required may vary widely.

  Parameters:
    `request` - current render request
    `response` - current render response
    `handler` - handler to use. This object must have previously been passed to the `supports` method of this interface, which must have returned `true`.
  Returns:
    ModelAndView object with the name of the view and the required model data, or `null` if the request has been handled directly
  Throws:
    `java.lang.Exception` - in case of errors
  See Also:
    `Portlet.render(javax.portlet.RenderRequest, javax.portlet.RenderResponse)`

### handleResource

    ModelAndView handleResource(javax.portlet.ResourceRequest request,
                                javax.portlet.ResourceResponse response,
                                java.lang.Object handler)
                                throws java.lang.Exception

  Use the given handler to handle this resource request. The workflow that is required may vary widely.

  Parameters:
    `request` - current render request
    `response` - current render response
    `handler` - handler to use. This object must have previously been passed to the `supports` method of this interface, which must have returned `true`.
  Returns:
    ModelAndView object with the name of the view and the required model data, or `null` if the request has been handled directly
  Throws:
    `java.lang.Exception` - in case of errors
  See Also:
    `ResourceServingPortlet.serveResource(javax.portlet.ResourceRequest, javax.portlet.ResourceResponse)`

### handleEvent

    void handleEvent(javax.portlet.EventRequest request,
                     javax.portlet.EventResponse response,
                     java.lang.Object handler)
                     throws java.lang.Exception

  Use the given handler to handle this event request. The workflow that is required may vary widely.

  Parameters:
    `request` - current action request
    `response` - current action response
    `handler` - handler to use. This object must have previously been passed to the `supports` method of this interface, which must have returned true.
  Throws:
    `java.lang.Exception` - in case of errors
  See Also:
    `EventPortlet.processEvent(javax.portlet.EventRequest, javax.portlet.EventResponse)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD